<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSmartDeviceStatusToNewLineRequestSmartDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('new_line_request_smart_devices', function (Blueprint $table) {
            $table->enum('status', ['Yes', 'No'])->default('No')->after('smart_device_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('new_line_request_smart_devices', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}
